Skip to main content
GET
/
organizations
/
{orgId}
/
api-keys
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const apiKeys = await client.organizations.apiKeys.list('orgId');

console.log(apiKeys.apiKeys);
{
  "apiKeys": [
    {
      "id": "<string>",
      "name": "<string>",
      "createdAt": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

orgId
string
required

Response

List of team API keys

apiKeys
object[]
required